<!--{include file="<!--{$oetplpath}-->widget_header.tpl"}-->
<div class="oe_content_layout">
  <!--{include file="<!--{$oetplpath}-->widget_menu.tpl"}-->

  <div class="oe_cont_rt">
    
	<div class="oe_content_widget">

	  <div class="oe_tab_list">
        <ul>
          <li><a href="<!--{$oefile}-->&c=set">店铺资料</a></li>
		  <li><a href="<!--{$oefile}-->&c=set&a=intro">店铺介绍</a></li>
          <li class="current"><a href="<!--{$oefile}-->&c=rz">店铺认证</a></li>
        </ul>
      </div>
	  
	  <!--{if $a == "run"}-->

	  <h3 class="oe_f_title">
	    <!--{if $login.shop.shoptype == "1"}-->
		您申请的是【个人店铺】
		<!--{else}-->
		您申请的是【企业店铺】
		<!--{/if}-->
	  </h3>
	  <div class="oe_tip_s">
		请根据您入驻时所选的商家类型（个人/企业）进行认证：<br />
		1、个人店铺请上传身份证进行实名认证；<br />
		2、企业店铺请上传企业营业执照进行认证；<br />
		3、店铺通过认证后，可以获得更多的操作权限；<br />
		4、店铺名称在还没认证之前，可以修改，一旦认证后不可再改，请仔细操作；<br />
	  </div>
	  <table class="oe_table_list">
	   <tr>
		  <th width="15%">认证类型</th>
		  <th>认证内容</th>
		  <th width="15%">认证状态</th>
		  <th width="15%">操作</th>
		</tr>
		<tr>
		  <td>店铺认证</td>
		  <td>店铺认证通过后，才能正常使用</td>
		  <td class="text_center">
			  <!--{if $login.shop.shoprz == '1'}-->
			  <img src="<!--{$merchantskin}-->images/y.gif" />
			  <!--{else}-->
			  <img src="<!--{$merchantskin}-->images/n.gif" />&nbsp;<font class="f_orange">未认证</font>
			  <!--{/if}-->
		  </td>
		  <td class="text_center">
		    <!--{if $login.shop.shoprz == '0'}-->
		    <span class="span_btn3"><a href="<!--{$oefile}-->&c=<!--{$c}-->&a=shop">我要认证</a></span>
			<!--{else}-->
			~~
			<!--{/if}-->
		  </td>
		</tr>
		<tr>
		  <td>手机认证</td>
		  <td>手机号码可以用来登录网站，取回密码，同时还可以获得系统推送的信息提醒。</td>
		  <td class="text_center">
			  <!--{if $login.user.mobilerz == '1'}-->
			  <img src="<!--{$merchantskin}-->images/y.gif" />
			  <!--{else}-->
			  <img src="<!--{$merchantskin}-->images/n.gif" />&nbsp;<font class="f_orange">未认证</font>
			  <!--{/if}-->
		  </td>
		  <td class="text_center">
			  <!--{if $login.user.mobilerz == '1'}-->
		      <span class="span_btn1"><a href="<!--{$oefile}-->&c=<!--{$c}-->&a=mobile">重新认证</a></span>
			  <!--{else}-->
			  <span class="span_btn3"><a href="<!--{$oefile}-->&c=<!--{$c}-->&a=mobile">立即认证</a></span>
			  <!--{/if}-->
		  </td>
		</tr>
		<tr>
		  <td>邮箱认证</td>
		  <td>邮箱地址可以用来登录网站，取回密码，同时还可以获得系统推送的信息提醒。</td>
		  <td class="text_center">
			  <!--{if $login.user.emailrz == '1'}-->
			  <img src="<!--{$merchantskin}-->images/y.gif" />
			  <!--{else}-->
			  <img src="<!--{$merchantskin}-->images/n.gif" />&nbsp;<font class="f_orange">未认证</font>
			  <!--{/if}-->
		  </td>
		  <td class="text_center">
			  <!--{if $login.user.emailrz == '1'}-->
		      <span class="span_btn1"><a href="<!--{$oefile}-->&c=<!--{$c}-->&a=email">重新认证</a></span>
			  <!--{else}-->
			  <span class="span_btn3"><a href="<!--{$oefile}-->&c=<!--{$c}-->&a=email">立即认证</a></span>
			  <!--{/if}-->
		  </td>
		</tr>
	  </table>
	  <!--{/if}-->


	  <!--{if $a == "mobile"}-->
	  <h3 class="oe_f_title">
	    手机认证<span>（请保持手机畅通，能正常接收手机短信）</span>
	  </h3>
	  <table class="oe_table_info">
	    <!--{if $login.user.mobilerz == '1'}-->
		<tr>
		  <th align="right">已认证号码：</th>
		  <td><!--{$login.user.mobile}--></td>
		</tr>
		<tr>
		  <th align="right" width="15%"><font class="f_red">*</font> 新手机号码：</th>
		  <td width="85%">
			<input type="text" name="mobile" id="mobile" class="input-150" value="" />
			<input type="button" name="btn_mobilecode" id="btn_mobilecode" value="获取验证码" />&nbsp;&nbsp;
			<span id="tips_mobile"></span>
		  </td>
		</tr>
		<tr>
		  <th align="right"><font class="f_red">*</font> 手机验证码：</th>
		  <td>
			<input type="text" name="checkcode" id="checkcode" class="input-100" maxlength="6" />
			<span id="tips_checkcode">（输入新手机收到的验证码）</span>
		  </td>
		</tr>
		<!--{else}-->
		<tr>
		  <th align="right" width="15%"><font class="f_red">*</font> 手机号码：</th>
		  <td width="85%">
			<input type="text" name="mobile" id="mobile" class="input-150" value="<!--{$login.user.mobile}-->" />
			<input type="button" name="btn_mobilecode" id="btn_mobilecode" value="获取验证码" />&nbsp;&nbsp;
			<span id="tips_mobile"></span>
		  </td>
		</tr>
		<tr>
		  <th align="right"><font class="f_red">*</font> 手机验证码：</th>
		  <td>
			<input type="text" name="checkcode" id="checkcode" class="input-100" maxlength="6" />
			<span id="tips_checkcode">（输入手机收到的验证码）</span>
		  </td>
		</tr>
		<!--{/if}-->
		<tr>
		  <th></th>
		  <td>
			<input type="button" id="btn_post" class="submit_btn1" value="确定认证" /> 
		  </td>
		</tr>
	  </table>
	  <script type="text/javascript">
	  $(function(){
		
		$("#btn_mobilecode").bind("click", function(){ //获取验证码
			$val_mobile = $("#mobile").val();
			if ($val_mobile.length != 11) {
				$("#tips_mobile").html("<font color='red'>请输入11位手机号码</font>");
				return false;
			}
			if (!isMobile($val_mobile)) {
				$("#tips_mobile").html("<font color='red'>手机号码格式不正确</font>");
				return false;
			}
			$(this).val("获取中...");
			$.ajax({
				type: "POST",
				url: "<!--{$oefile}-->&c=<!--{$c}-->&a=sendmobilecode",
				cache: false,
				data: {mobile:$val_mobile, r:get_rndnum(8)},
				dataType: "json",
				success: function($data) {
					$json = eval($data);
					$response = $json.response;
					$result = $json.result;
					if ($response == "1") {
						$("#tips_mobile").html("<font color='green'>发送成功，请查收短信</font>");
					}
					else {
						if ($result.length > 0) {
							$("#tips_mobile").html("<font color='red'>"+$result+"</font>");
						}
						else {
							$("#tips_mobile").html("<font color='red'>发送失败，请检查手机号码是否可用</font>");
						}
						
					}
					$("#btn_mobilecode").val("获取验证码");

				},
				error: function() {
					ToastShow("发送失败，请检查网络！");
					$("#btn_mobilecode").val("获取验证码");
				}
			});

		});

		$("#btn_post").bind("click", function(){ //确定
			
			$.ajax({
				type: "POST",
				url: "<!--{$oefile}-->&c=<!--{$c}-->&a=checkmobilecode",
				cache: false,
				data: {mobile:$("#mobile").val(), checkcode:$("#checkcode").val(), r:get_rndnum(8)},
				dataType: "json",
				success: function($data) {
					$json = eval($data);
					$response = $json.response;
					$result = $json.result;
					if ($response == "1") {
						ToastShow("验证/修改成功");
						setTimeout(function(){
							window.location.href="<!--{$oefile}-->&c=<!--{$c}-->";
						}, 800);
					}
					else {
						if ($result.length > 0) {
							ToastShow($result);
						}
						else {
							ToastShow("验证失败，请检查手机号码和验证码是否正确");
						}
					}

				},
				error: function() {
					ToastShow("验证失败，请检查网络！");
				}
			});

		});

	  });
	  </script>


	  <!--{/if}-->


	  <!--{if $a == "email"}-->
	  <h3 class="oe_f_title">
	    邮箱认证<span>（请确保您的邮箱有效，能正常收邮件）</span>
	  </h3>
	  <table class="oe_table_info">
	    <!--{if $login.user.emailrz == '1'}-->
		<tr>
		  <th align="right">已认证邮箱：</th>
		  <td><!--{$login.user.email}--></td>
		</tr>
		<tr>
		  <th align="right" width="15%"><font class="f_red">*</font> 新邮箱地址：</th>
		  <td width="85%">
			<input type="text" name="email" id="email" class="input-200" value="" />
			<input type="button" name="btn_emailcode" id="btn_emailcode" value="获取验证码" />&nbsp;&nbsp;
			<span id="tips_email"></span>
		  </td>
		</tr>
		<tr>
		  <th align="right"><font class="f_red">*</font> 邮箱验证码：</th>
		  <td>
			<input type="text" name="checkcode" id="checkcode" class="input-100" maxlength="6" />
			<span id="tips_checkcode">（输入新邮箱收到的验证码）</span>
		  </td>
		</tr>
		<!--{else}-->
		<tr>
		  <th align="right" width="15%"><font class="f_red">*</font> 邮箱地址：</th>
		  <td width="85%">
			<input type="text" name="email" id="email" class="input-200" value="<!--{$login.user.email}-->" />
			<input type="button" name="btn_emailcode" id="btn_emailcode" value="获取验证码" />&nbsp;&nbsp;
			<span id="tips_email"></span>
		  </td>
		</tr>
		<tr>
		  <th align="right"><font class="f_red">*</font> 邮箱验证码：</th>
		  <td>
			<input type="text" name="checkcode" id="checkcode" class="input-100" maxlength="6" />
			<span id="tips_checkcode">（输入邮箱收到的验证码）</span>
		  </td>
		</tr>
		<!--{/if}-->
		<tr>
		  <th></th>
		  <td>
			<input type="button" id="btn_post" class="submit_btn1" value="确定认证" /> 
		  </td>
		</tr>
	  </table>
	  </form>
	  <script type="text/javascript">
	  $(function(){

		$("#btn_emailcode").bind("click", function(){ //获取验证码
		
			$val_email = $("#email").val();
			if ($val_email.length == 0) {
				$("#tips_email").html("<font color='red'>请输入邮箱地址</font>");
				return false;
			}
			$(this).val("获取中...");
			$.ajax({
				type: "POST",
				url: "<!--{$oefile}-->&c=<!--{$c}-->&a=sendemailcode",
				cache: false,
				data: {email:$val_email, r:get_rndnum(8)},
				dataType: "json",
				success: function($data) {
					$json = eval($data);
					$response = $json.response;
					$result = $json.result;
					if ($response == "1") {
						$("#tips_email").html("<font color='green'>发送成功，请查收邮件</font>");
					}
					else {
						if ($result.length > 0) {
							$("#tips_email").html("<font color='red'>"+$result+"</font>");
						}
						else {
							$("#tips_email").html("<font color='red'>发送失败，请检查邮箱是否可用</font>");
						}
						
					}
					$("#btn_emailcode").val("获取验证码");

				},
				error: function() {
					ToastShow("发送失败，请检查网络！");
					$("#btn_emailcode").val("获取验证码");
				}
			});


		});


		$("#btn_post").bind("click", function(){ //确定
			
			$.ajax({
				type: "POST",
				url: "<!--{$oefile}-->&c=<!--{$c}-->&a=checkemailcode",
				cache: false,
				data: {email:$("#email").val(), checkcode:$("#checkcode").val(), r:get_rndnum(8)},
				dataType: "json",
				success: function($data) {
					$json = eval($data);
					$response = $json.response;
					$result = $json.result;
					if ($response == "1") {
						ToastShow("验证/修改成功");
						setTimeout(function(){
							window.location.href="<!--{$oefile}-->&c=<!--{$c}-->";
						}, 800);
					}
					else {
						if ($result.length > 0) {
							ToastShow($result);
						}
						else {
							ToastShow("验证失败，请检查邮箱和验证码是否正确");
						}
					}

				},
				error: function() {
					ToastShow("验证失败，请检查网络！");
				}
			});

		});

	  });
	  </script>
	  <!--{/if}-->


	  <!--{if $a == "shop"}-->
	  <h3 class="oe_f_title">
	    <!--{if $login.shop.shoptype == "1"}-->
		您申请的是【个人店铺】
		<!--{else}-->
		您申请的是【企业店铺】
		<!--{/if}-->
		<span>（请上传真实、有效的证件，否则审核无法通过）</span>
	  </h3>
	  <div class="oe_tip_s">
		请根据您入驻时所选的商家类型（个人/企业）进行认证：<br />
		1、个人店铺请上传身份证进行实名认证；<br />
		2、企业店铺请上传企业营业执照进行认证；<br />
		3、店铺通过认证后，可以获得更多的操作权限；<br />
		4、店铺名称在还没认证之前，可以修改，一旦认证后不可再改，请仔细操作；<br />
	  </div>
	  <form id="myform" action="<!--{$oefile}-->&c=<!--{$c}-->" method="post" />
	  <input type="hidden" name="a" id="a" value="saveshop" />
	  <table class="oe_table_info">
		<tr>
		  <th align="right" width="20%"><font class="f_red">*</font> 店铺名称：</th>
		  <td width="80%">
			<input f="ajaxcheck" type="text" name="shopname" id="shopname" class="input-b" value="<!--{$login.shop.shopname}-->" maxlength="60" />
			<span id="tips_shopname">（30个字以内）</span>
		  </td>
		</tr>
		<tr>
		  <th align="right"><font class="f_red">*</font> <!--{if $login.shop.shoptype == '1'}-->身份证号：<!--{else}-->企业营业执照号：<!--{/if}--></th>
		  <td>
			<input f="ajaxcheck" type="text" name="idnumber" id="idnumber" class="input-b"  maxlength="30" value="<!--{$login.shop.idnumber}-->" />
			<span id="tips_idnumber">（请输入有效的证件号码）</span>
		  </td>
		</tr>
		<tr>
		  <th align="right"><font class="f_red">*</font> 证件图片：</th>
		  <td>
			<table class="oe_table_wrap">
			  <tr>
				<td width="60px">
				  <!--{if !empty($login.shop.paper)}-->
				  <img f="view" style="cursor:pointer;" src="<!--{$login.shop.paper}-->" width="60px" height="60px" class="_img_border" id="img_preview" />
				  <!--{else}-->
				  <img f="view" style="cursor:pointer;" src="tpl/static/images/waitimg_s.jpg" width="60px" height="60px" class="_img_border" id="img_preview" />
				  <!--{/if}-->
				</td>
			    <td width="90px">
				  <div class="oe_img_upload">
					<label class="_uploadbtn">点击上传<input type="file" name="img" id="img" value="" /></label>
					<label class="_uploading" id="img_loading">
					  <img src="<!--{$urlpath}-->tpl/static/images/loading.gif" />
					</label>
					<input type="hidden" id="img_thumb" name="thumbimg" value="" />
					<input type="hidden" id="img_url" name="paper" value="<!--{$login.shop.paper}-->" />
				  </div>
				  <script type="text/javascript">
				  $(function(){
					  $("#img").live("change", function(){
						oemarryUploadImg("img", "<!--{$oefile}-->&c=index&a=uploadimg&module=shop&forbidcom=1&forbidwater=1");
					  });
				  });
				  </script>
				</td>
				<td>
				  证件图片要清晰，填写的证件号码要与上传的证件图片一致，否则审核无法通过！
				</td>
			  </tr>
			</table>

		  </td>
		</tr>
		<tr>
		  <th></th>
		  <td>
			<input type="button" id="btn_post" class="submit_btn1" value="确定提交" /> 
		  </td>
		</tr>
	  </table>
	  </form>
	  <script type="text/javascript">
	  $(function(){
		$("#btn_post").bind("click", function(){
		
			if ($("#shopname").val().length == 0) {
				ToastShow("请填写店铺名称");
				return false;
			}
			if ($("#idnumber").val().length == 0) {
				ToastShow("请填写证件号码");
				return false;
			}
			if ($("input[name='paper']").val().length == 0) {
				ToastShow("请上传证件");
				return false;
			}
			$("#myform").submit();

		});
	  });
	  </script>
	  <!--{/if}-->


	</div>
	<!--//oe_content_widget End-->

  </div>
  <div class="clear"></div>
  <!--//oe_cont_rt Enc-->
</div>
<!--{include file="<!--{$oetplpath}-->widget_footer.tpl"}-->
</body>
</html>